org.apache.ignite.cache.query

## Class QueryCancelledException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.ignite.IgniteCheckedException
      - - org.apache.ignite.cache.query.QueryCancelledException

All Implemented Interfaces:
  Serializable

    public class QueryCancelledException
    extends IgniteCheckedException

The exception is thrown if a query was cancelled or timed out while executing.

See Also:
  Serialized Form

### Field Summary

Fields
`static String` `ERR_MSG` Error message.

### Constructor Summary

Constructors
Constructor and Description
`QueryCancelledException()` Default constructor.

### Method Summary

### Methods inherited from class org.apache.ignite.IgniteCheckedException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ERR_MSG

    public static final String ERR_MSG

Error message.

See Also:
  Constant Field Values

### Constructor Detail

#### QueryCancelledException

    public QueryCancelledException()

Default constructor.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020